LinkPropertiesConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Interface LinkPropertiesConstants

All Known Implementing Classes:
  AmpLinkLayer, BufferedLinkLayer, DrawLinkLayer, GraphicUpdate, LinkActionList, LinkActionRequest, LinkArc, LinkBitmap, LinkCircle, LinkEllipse, LinkGraphic, LinkLayer, LinkLine, LinkListener, LinkOMGraphicList, LinkPoint, LinkPoly, LinkProperties, LinkRaster, LinkRectangle, LinkServer, LinkText, ShapeLinkServer, TestLinkServer

    public interface LinkPropertiesConstants

A LinkPropertiesConstants interface defines the well known expected properties that may be coming over the link inside the properties. Other properties may be carried as well, but these are properties you can kind of expect to see.

Field Summary
`static java.lang.String` | `LPC_BACKWARD_DIAG_PATTERN`
`static java.lang.String` | `LPC_CENTER_LAT` The latitude of the center of the map in decimal degrees.
`static java.lang.String` | `LPC_CENTER_LONG` The longitude of the center of the map in decimal degrees.
`static java.lang.String` | `LPC_CLEAR_PROPERTIES`
`static char` | `LPC_CLEAR_PROPERTIES_CHAR`
`static java.lang.String` | `LPC_CROSS_PATTERN`
`static java.lang.String` | `LPC_DASH`
`static java.lang.String` | `LPC_DASH_DOT`
`static java.lang.String` | `LPC_DASH_DOT_DOT`
`static java.lang.String` | `LPC_DIAG_CROSS_PATTERN`
`static java.lang.String` | `LPC_DOT`
`static java.lang.String` | `LPC_FILLCOLOR` The fill color attribute name.
`static java.lang.String` | `LPC_FILLPATTERN` The fill pattern attribute name.
`static java.lang.String` | `LPC_FORWARD_DIAG_PATTERN`
`static java.lang.String` | `LPC_GRAPHICID` The graphic identifier attribute name.
`static java.lang.String` | `LPC_HEIGHT` The height of the map (pixels)
`static java.lang.String` | `LPC_HIGHLIGHTCOLOR` The highlight color attribute name.
`static java.lang.String` | `LPC_HORIZONTAL_PATTERN`
`static java.lang.String` | `LPC_HTML` The HTML text (displayed in a browser) attribute name.
`static java.lang.String` | `LPC_INFO` The Information Line (status line) attribute name.
`static java.lang.String` | `LPC_LATMAX` The upper right latitude
`static java.lang.String` | `LPC_LATMIN` The lower left latitude
`static java.lang.String` | `LPC_LINECOLOR` The line color attribute name.
`static java.lang.String` | `LPC_LINESTYLE` The line style (dash attribute) attribute name.
`static java.lang.String` | `LPC_LINEWIDTH` The line width attribute name.
`static java.lang.String` | `LPC_LINKRASTERIMAGEURL` The url of an image to use in a LinkRaster, for some cases.
`static java.lang.String` | `LPC_LINKROTATION` The rotation in degrees clockwise from North.
`static java.lang.String` | `LPC_LINKTEXTBASELINE` The location of the text baseline relative to the specified text location.
`static java.lang.String` | `LPC_LINKTEXTFONT` The font representation attribute name.
`static java.lang.String` | `LPC_LINKTEXTSTRING` The text graphic contents attribute name.
`static java.lang.String` | `LPC_LONG_DASH`
`static java.lang.String` | `LPC_LONMAX` The upper right longitude
`static java.lang.String` | `LPC_LONMIN` The lower left longitude
`static java.lang.String` | `LPC_MESSAGE` The Message text (in a pop-up window) attribute name.
`static java.lang.String` | `LPC_OLD_FILLCOLOR` The fill color attribute name.
`static java.lang.String` | `LPC_OLD_FILLPATTERN` The fill pattern attribute name.
`static java.lang.String` | `LPC_OLD_HIGHLIGHTCOLOR` The highlight color attribute name.
`static java.lang.String` | `LPC_OLD_LINECOLOR` The line color attribute name.
`static java.lang.String` | `LPC_OLD_LINESTYLE` The line style (dash attribute) attribute name.
`static java.lang.String` | `LPC_OLD_LINEWIDTH` The line width attribute name.
`static java.lang.String` | `LPC_OLD_LINKTEXTFONT` The font representation attribute name.
`static java.lang.String` | `LPC_OLD_LINKTEXTSTRING` The text graphic contents attribute name.
`static java.lang.String` | `LPC_PROJECTION` The projection to use for the map
`static java.lang.String` | `LPC_PROPERY_MANAGEMENT_POLICY` The property, transmitted first, that dictates how LinkProperty memory is managed when a LinkProperties object is read.
`static char` | `LPC_PROPERY_MANAGEMENT_POLICY_CHAR`
`static java.lang.String` | `LPC_REUSE_PROPERTIES`
`static char` | `LPC_REUSE_PROPERTIES_CHAR`
`static java.lang.String` | `LPC_SCALE` The scale or zoom level of the map
`static java.lang.String` | `LPC_SOLID` Line styles
`static java.lang.String` | `LPC_SOLID_PATTERN` Fill patterns
`static java.lang.String` | `LPC_TIME` The time in milliseconds since 1/1/1970 00:00:00.
`static java.lang.String` | `LPC_URL` The URL text attribute name.
`static java.lang.String` | `LPC_VERTICAL_PATTERN`
`static java.lang.String` | `LPC_WIDTH` The width of the map (pixels)

Field Detail

### LPC_PROPERY_MANAGEMENT_POLICY

    static final java.lang.String LPC_PROPERY_MANAGEMENT_POLICY

  The property, transmitted first, that dictates how LinkProperty memory is managed when a LinkProperties object is read. The value for this key dictates the policy.

  See Also:
    Constant Field Values

### LPC_PROPERY_MANAGEMENT_POLICY_CHAR

    static final char LPC_PROPERY_MANAGEMENT_POLICY_CHAR

See Also:
  Constant Field Values

### LPC_LINECOLOR

    static final java.lang.String LPC_LINECOLOR

  The line color attribute name.

  See Also:
    Constant Field Values

### LPC_LINESTYLE

    static final java.lang.String LPC_LINESTYLE

  The line style (dash attribute) attribute name.

  See Also:
    Constant Field Values

### LPC_HIGHLIGHTCOLOR

    static final java.lang.String LPC_HIGHLIGHTCOLOR

  The highlight color attribute name.

  See Also:
    Constant Field Values

### LPC_FILLCOLOR

    static final java.lang.String LPC_FILLCOLOR

  The fill color attribute name.

  See Also:
    Constant Field Values

### LPC_FILLPATTERN

    static final java.lang.String LPC_FILLPATTERN

  The fill pattern attribute name.

  See Also:
    Constant Field Values

### LPC_LINEWIDTH

    static final java.lang.String LPC_LINEWIDTH

  The line width attribute name.

  See Also:
    Constant Field Values

### LPC_LINKTEXTSTRING

    static final java.lang.String LPC_LINKTEXTSTRING

  The text graphic contents attribute name.

  See Also:
    Constant Field Values

### LPC_LINKTEXTFONT

    static final java.lang.String LPC_LINKTEXTFONT

  The font representation attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_LINECOLOR

    static final java.lang.String LPC_OLD_LINECOLOR

  The line color attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_LINESTYLE

    static final java.lang.String LPC_OLD_LINESTYLE

  The line style (dash attribute) attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_HIGHLIGHTCOLOR

    static final java.lang.String LPC_OLD_HIGHLIGHTCOLOR

  The highlight color attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_FILLCOLOR

    static final java.lang.String LPC_OLD_FILLCOLOR

  The fill color attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_FILLPATTERN

    static final java.lang.String LPC_OLD_FILLPATTERN

  The fill pattern attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_LINEWIDTH

    static final java.lang.String LPC_OLD_LINEWIDTH

  The line width attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_LINKTEXTSTRING

    static final java.lang.String LPC_OLD_LINKTEXTSTRING

  The text graphic contents attribute name.

  See Also:
    Constant Field Values

### LPC_OLD_LINKTEXTFONT

    static final java.lang.String LPC_OLD_LINKTEXTFONT

  The font representation attribute name.

  See Also:
    Constant Field Values

### LPC_LINKTEXTBASELINE

    static final java.lang.String LPC_LINKTEXTBASELINE

  The location of the text baseline relative to the specified text location. The property should be BASELINE_BOTTOM, BASELINE_MIDDLE, BASELINE_TOP. BASELINE_BOTTOM is the default.

  See Also:
    Constant Field Values

### LPC_LINKROTATION

    static final java.lang.String LPC_LINKROTATION

  The rotation in degrees clockwise from North.

  See Also:
    Constant Field Values

### LPC_LINKRASTERIMAGEURL

    static final java.lang.String LPC_LINKRASTERIMAGEURL

  The url of an image to use in a LinkRaster, for some cases.

  See Also:
    Constant Field Values

### LPC_GRAPHICID

    static final java.lang.String LPC_GRAPHICID

  The graphic identifier attribute name.

  See Also:
    Constant Field Values

### LPC_CENTER_LAT

    static final java.lang.String LPC_CENTER_LAT

  The latitude of the center of the map in decimal degrees.

  See Also:
    Constant Field Values

### LPC_CENTER_LONG

    static final java.lang.String LPC_CENTER_LONG

  The longitude of the center of the map in decimal degrees.

  See Also:
    Constant Field Values

### LPC_SCALE

    static final java.lang.String LPC_SCALE

  The scale or zoom level of the map

  See Also:
    Constant Field Values

### LPC_WIDTH

    static final java.lang.String LPC_WIDTH

  The width of the map (pixels)

  See Also:
    Constant Field Values

### LPC_HEIGHT

    static final java.lang.String LPC_HEIGHT

  The height of the map (pixels)

  See Also:
    Constant Field Values

### LPC_PROJECTION

    static final java.lang.String LPC_PROJECTION

  The projection to use for the map

  See Also:
    Constant Field Values

### LPC_LATMIN

    static final java.lang.String LPC_LATMIN

  The lower left latitude

  See Also:
    Constant Field Values

### LPC_LONMIN

    static final java.lang.String LPC_LONMIN

  The lower left longitude

  See Also:
    Constant Field Values

### LPC_LATMAX

    static final java.lang.String LPC_LATMAX

  The upper right latitude

  See Also:
    Constant Field Values

### LPC_LONMAX

    static final java.lang.String LPC_LONMAX

  The upper right longitude

  See Also:
    Constant Field Values

### LPC_URL

    static final java.lang.String LPC_URL

  The URL text attribute name.

  See Also:
    Constant Field Values

### LPC_HTML

    static final java.lang.String LPC_HTML

  The HTML text (displayed in a browser) attribute name.

  See Also:
    Constant Field Values

### LPC_INFO

    static final java.lang.String LPC_INFO

  The Information Line (status line) attribute name.

  See Also:
    Constant Field Values

### LPC_MESSAGE

    static final java.lang.String LPC_MESSAGE

  The Message text (in a pop-up window) attribute name.

  See Also:
    Constant Field Values

### LPC_TIME

    static final java.lang.String LPC_TIME

  The time in milliseconds since 1/1/1970 00:00:00.

  See Also:
    Constant Field Values

### LPC_SOLID

    static final java.lang.String LPC_SOLID

  Line styles

  See Also:
    Constant Field Values

### LPC_LONG_DASH

    static final java.lang.String LPC_LONG_DASH

See Also:
  Constant Field Values

### LPC_DASH

    static final java.lang.String LPC_DASH

See Also:
  Constant Field Values

### LPC_DOT

    static final java.lang.String LPC_DOT

See Also:
  Constant Field Values

### LPC_DASH_DOT

    static final java.lang.String LPC_DASH_DOT

See Also:
  Constant Field Values

### LPC_DASH_DOT_DOT

    static final java.lang.String LPC_DASH_DOT_DOT

See Also:
  Constant Field Values

### LPC_SOLID_PATTERN

    static final java.lang.String LPC_SOLID_PATTERN

  Fill patterns

  See Also:
    Constant Field Values

### LPC_VERTICAL_PATTERN

    static final java.lang.String LPC_VERTICAL_PATTERN

See Also:
  Constant Field Values

### LPC_HORIZONTAL_PATTERN

    static final java.lang.String LPC_HORIZONTAL_PATTERN

See Also:
  Constant Field Values

### LPC_CROSS_PATTERN

    static final java.lang.String LPC_CROSS_PATTERN

See Also:
  Constant Field Values

### LPC_DIAG_CROSS_PATTERN

    static final java.lang.String LPC_DIAG_CROSS_PATTERN

See Also:
  Constant Field Values

### LPC_FORWARD_DIAG_PATTERN

    static final java.lang.String LPC_FORWARD_DIAG_PATTERN

See Also:
  Constant Field Values

### LPC_BACKWARD_DIAG_PATTERN

    static final java.lang.String LPC_BACKWARD_DIAG_PATTERN

See Also:
  Constant Field Values

### LPC_CLEAR_PROPERTIES

    static final java.lang.String LPC_CLEAR_PROPERTIES

See Also:
  Constant Field Values

### LPC_CLEAR_PROPERTIES_CHAR

    static final char LPC_CLEAR_PROPERTIES_CHAR

See Also:
  Constant Field Values

### LPC_REUSE_PROPERTIES

    static final java.lang.String LPC_REUSE_PROPERTIES

See Also:
  Constant Field Values

### LPC_REUSE_PROPERTIES_CHAR

    static final char LPC_REUSE_PROPERTIES_CHAR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details